AuthNToken Bearer Token (JWT) administrator — masdoc.squad@masmovil.com
| Recurso | Descripción |
|---|---|
| Documents | Binary documents business logic |
| Forms | Binary documents with field's map to fill |
| Sections | Grouping of forms by language |
| Templates | Document builder with sections |
| Templates Configuration | Templates Tenant configuration |
| DynamicTemplates | HTML based templates with fields to fill |
| Sign Process | Access to digital sign processes management. |
| Biometric Signature | Access to biometric signature endpoints. |
| Simple Signature | Access to simple signature endpoints. |
| Identification Agent | Digital agent identification services |
| Sign Configuration | Sign Configuration |
| Identification OTP | Digital OTP identification services |
| Identification with identity document | Identification with identity document |
| Identification Agent Admin | Digital agent identification administrative services |
| Identification OTP Admin | Digital OTP identification administrative services |
| Identification with identity document Admin | Identification with identity document administrative services |
| Contracts | Contracts document services |
| Scoring | Scoring services |
| Securize | |
| Identification Chain | |
| Identification Chain Admin |
AuthNToken Bearer Token (JWT) administrator — masdoc.squad@masmovil.com
| Recurso | Descripción |
|---|---|
| Documents | Binary documents business logic |
| Forms | Binary documents with field's map to fill |
| Sections | Grouping of forms by language |
| Templates | Document builder with sections |
| Templates Configuration | Templates Tenant configuration |
| DynamicTemplates | HTML based templates with fields to fill |
| Sign Process | Access to digital sign processes management. |
| Biometric Signature | Access to biometric signature endpoints. |
| Simple Signature | Access to simple signature endpoints. |
| Identification Agent | Digital agent identification services |
| Sign Configuration | Sign Configuration |
| Identification OTP | Digital OTP identification services |
| Identification with identity document | Identification with identity document |
| Identification Agent Admin | Digital agent identification administrative services |
| Identification OTP Admin | Digital OTP identification administrative services |
| Identification with identity document Admin | Identification with identity document administrative services |
| Contracts | Contracts document services |
| Scoring | Scoring services |
| Securize | |
| Identification Chain | |
| Identification Chain Admin |
Upload a document from a file name and its content. The document unique identifier and its name are returned.
PATH PARAMETERS
The string id related with one of Grupo MasOrange tenants
HEADER PARAMETERS
The string id related with the document owner. It is mandatory when document is not public
File name, content and metadata for creating the document.
{
"name": "New_document",
"extension": "pdf",
"tags": [
"DRAFT",
"CONFIDENTIAL",
"v1.0"
]
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
name* | string | Name of the document (without spaces). The document is renamed with this value. | ||
extension* | string | Format of the document to be stored. It must match the format of the binary Allowed values: pdf, jpeg, jpg, png, html, json, hbs | ||
tags | string[] | Free values (user-defined) to tag document. These values are normalized following the next rules: - All tags will be converted to UPPERCASE - All whitespaces will be removed - Empty or blank tags are not allowed - Tags matching reserved words (null, undefined or nan) are not allowed | maxItems: 5, uniqueItems | |
content* | string (binary) | Document content in binary format |
Created New Document is created. Expected response for a valid request.
{
"documentId": "d290f1ee-6c54-4b01-90e6-d701748f0851"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
documentId* | string (uuid) | Document unique identifier |
Bad Request Request input is not valid
Unauthorized Unauthorized. AuthN and AuthZ validations have fail
Internal Server Error Not expected error
Error response
{
"errors": [
{
"code": "MDOC-XXX",
"title": "ERROR_TYPE",
"ref": "https://developers.masstack.com/en/docs/apis_documents_doc_swagger/1/schemas/#schemaerror",
"details": "Detailed description of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X POST 'https://documents.masstack.com/v1/orgs/masmovil/documents' \
-H 'x-auth-owner: 2357893' \
-H 'Accept: application/json' \
-F 'name=personal_contract' \
-F 'extension=pdf' \
-F 'tags=Draft,Top_Secret,v1.0' \
-F 'content=@/path/to/file;type=application/pdf, application/octet-stream, image/png, image/jpeg' Returns the document content as binary data, if document is present; else, returns an error message.
PATH PARAMETERS
The string id related with one of Grupo MasOrange tenants
The string id related with one of Grupo MasOrange tenants/organizations
HEADER PARAMETERS
The string id related with the document owner. It is mandatory when document is not public
OK The document binary content. Expected response to a valid request.
"binary file" Bad Request Request input is not valid
Unauthorized Unauthorized. AuthN and AuthZ validations have fail
Not Found resource not found
resource is not longer available
Internal Server Error Not expected error
Error response
{
"errors": [
{
"code": "MDOC-XXX",
"title": "ERROR_TYPE",
"ref": "https://developers.masstack.com/en/docs/apis_documents_doc_swagger/1/schemas/#schemaerror",
"details": "Detailed description of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Content-Typestringdefines response binary media type
Content-Dispositionstringcontains downloaded document file name
curl -X GET 'https://documents.masstack.com/v1/orgs/masmovil/documents/d290f1ee-6c54-4b01-90e6-d701748f0851' \
-H 'x-auth-owner: 2357893' \
-H 'Accept: application/octet-stream' Delete document.
PATH PARAMETERS
The string id related with one of Grupo MasOrange tenants
The string id related with one of Grupo MasOrange tenants/organizations
HEADER PARAMETERS
The string id related with the document owner. It is mandatory when document is not public
OK Action executed correctly
{
"deletedDocumentId": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"deleteTS": "2023-04-20T11:43:13Z"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
deletedDocumentId* | string (uuid) | deleted document unique identifier | ||
deleteTS* | string (date-time) | instant when document was deleted by first time |
Bad Request Request input is not valid
Unauthorized Unauthorized. AuthN and AuthZ validations have fail
Not Found resource not found
Conflict resource already deleted
resource is not longer available
Internal Server Error Not expected error
Error response
{
"errors": [
{
"code": "MDOC-XXX",
"title": "ERROR_TYPE",
"ref": "https://developers.masstack.com/en/docs/apis_documents_doc_swagger/1/schemas/#schemaerror",
"details": "Detailed description of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X DELETE 'https://documents.masstack.com/v1/orgs/masmovil/documents/d290f1ee-6c54-4b01-90e6-d701748f0851' \
-H 'x-auth-owner: 2357893' \
-H 'Accept: application/json' Delete document physically.
PATH PARAMETERS
The string id related with one of Grupo MasOrange tenants
The string id related with one of Grupo MasOrange tenants/organizations
HEADER PARAMETERS
The string id related with the document owner. It is mandatory when document is not public
OK Action executed correctly
{
"deletedDocumentId": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"deleteTS": "2023-04-20T11:43:13Z"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
deletedDocumentId* | string (uuid) | deleted document unique identifier | ||
deleteTS* | string (date-time) | instant when document was deleted by first time |
Bad Request Request input is not valid
Unauthorized Unauthorized. AuthN and AuthZ validations have fail
Not Found resource not found
Conflict resource already deleted
resource is not longer available
Internal Server Error Not expected error
Error response
{
"errors": [
{
"code": "MDOC-XXX",
"title": "ERROR_TYPE",
"ref": "https://developers.masstack.com/en/docs/apis_documents_doc_swagger/1/schemas/#schemaerror",
"details": "Detailed description of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X DELETE 'https://documents.masstack.com/v1/orgs/masmovil/documents/d290f1ee-6c54-4b01-90e6-d701748f0851/physical' \
-H 'x-auth-owner: 2357893' \
-H 'Accept: application/json' Returns metadata information associated to a document
PATH PARAMETERS
The string id related with one of Grupo MasOrange tenants
The string id related with one of Grupo MasOrange tenants/organizations
HEADER PARAMETERS
The string id related with the document owner. It is mandatory when document is not public
OK Expected response for a valid request.
{
"documentId": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"name": "personal_contract",
"tags": [
"Draft",
"Top_Secret",
"v1.0"
],
"extension": "pdf",
"archiveHash": "938c2cc0dcc05f2b68c4287040cfcf71",
"size": 400000000,
"isPublic": true
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
documentId* | string (uuid) | Document unique identifier | ||
name* | string | Name of the document (without spaces). The document is renamed with this value. | ||
tags* | string[] | Free values (user-defined) to tag document. These values are normalized following the next rules: - All tags will be converted to UPPERCASE - All whitespaces will be removed - Empty or blank tags are not allowed - Tags matching reserved words (null, undefined or nan) are not allowed | maxItems: 5, uniqueItems | |
extension* | string | Format of the document to be stored. It must match the format of the binary Allowed values: pdf, jpeg, jpg, png, html, json, hbs | ||
archiveHash* | string | Document hash digest | ||
size* | integer | The size of the document in bytes. | ||
isPublic* | boolean | Indicates if document is public (without owner) or private (with owner defined) |
Bad Request Request input is not valid
Unauthorized Unauthorized. AuthN and AuthZ validations have fail
Not Found resource not found
resource is not longer available
Internal Server Error Not expected error
Error response
{
"errors": [
{
"code": "MDOC-XXX",
"title": "ERROR_TYPE",
"ref": "https://developers.masstack.com/en/docs/apis_documents_doc_swagger/1/schemas/#schemaerror",
"details": "Detailed description of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://documents.masstack.com/v1/orgs/masmovil/documents/d290f1ee-6c54-4b01-90e6-d701748f0851/metadata' \
-H 'x-auth-owner: 2357893' \
-H 'Accept: application/json' Returns the url to download the specified document, if document is present and reachable; else, returns an error message.
PATH PARAMETERS
The string id related with one of Grupo MasOrange tenants
The string id related with one of Grupo MasOrange tenants/organizations
HEADER PARAMETERS
The string id related with the document owner. It is mandatory when document is not public
Duration before public url expires and becomes not accesible
{
"expiresIn": "PT24H",
"downloadDisposition": "inline"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
expiresIn | string | Default to 24 hours. Max 24 hours. Validity duration time (ISO-8601 format) of the public url from now. | ||
downloadDisposition | string
()
attachmentinline | Controls the disposition of the content (if the PDF is rendered inline or downloaded). Allowed values "attachment" or "inline". | "attachment" |
OK The generated public url. Expected response to a valid request.
{
"expirationDate": "2023-01-27T03:44:52.000Z",
"publicUrl": "https://storage.googleapis.com/mas-documents-prod/cbd2e693-d71a-4cee-8313-1972acc0394d",
"mediaType": "application/pdf",
"name": "my_doc_name"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
expirationDate* | string | Timestamp (ISO-8601 format) at which public url becomes inaccesible. | ||
publicUrl* | string | Signed url fully accessible without authentication or authorization. | ||
mediaType | string | Binary media type of the downloadable document | ||
name* | string | Name of the downloadable document |
Bad Request Request input is not valid
Unauthorized Unauthorized. AuthN and AuthZ validations have fail
Not Found resource not found
resource is not longer available
Internal Server Error Not expected error
Error response
{
"errors": [
{
"code": "MDOC-XXX",
"title": "ERROR_TYPE",
"ref": "https://developers.masstack.com/en/docs/apis_documents_doc_swagger/1/schemas/#schemaerror",
"details": "Detailed description of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X POST 'https://documents.masstack.com/v1/orgs/masmovil/documents/d290f1ee-6c54-4b01-90e6-d701748f0851/public_url' \
-H 'x-auth-owner: 2357893' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"expiresIn": "PT24H",
"downloadDisposition": "inline"
}' Changes document owner, if document exists and is already private; else, returns an error message.
PATH PARAMETERS
The string id related with one of Grupo MasOrange tenants
The string id related with one of Grupo MasOrange tenants/organizations
HEADER PARAMETERS
The string id related with the document owner. It is mandatory when document is not public
The identifier of the new owner to whom ownership of the document is transferred
{
"newOwner": "sUbScRiPtiOn_12123112a"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
newOwner | string | The identifier of the new owner of the document |
OK Ownership change succeeded. Expected response to a valid request.
{
"owner": "subscription_12123112a"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
owner* | string | The normalized identifier of the new owner of the document |
Bad Request Request input is not valid
Unauthorized Unauthorized. AuthN and AuthZ validations have fail
Not Found resource not found
resource is not longer available
Internal Server Error Not expected error
Error response
{
"errors": [
{
"code": "MDOC-XXX",
"title": "ERROR_TYPE",
"ref": "https://developers.masstack.com/en/docs/apis_documents_doc_swagger/1/schemas/#schemaerror",
"details": "Detailed description of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X PUT 'https://documents.masstack.com/v1/orgs/masmovil/documents/d290f1ee-6c54-4b01-90e6-d701748f0851/owner' \
-H 'x-auth-owner: 2357893' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"newOwner": "sUbScRiPtiOn_12123112a"
}' Get all stored forms metadata (by tenant)
PATH PARAMETERS
The string id related with one of Grupo MasOrange tenants
QUERY PARAMETERS
Defines forms page number to be show. If not defined, default value is 0 (first page).
Defines the number of forms returned in each page. If not defined, default value is 50.
OK The forms metadata is returned. Expected response for a valid request.
{
"totalResults": "100",
"currentPage": 0,
"forms": [
{
"id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"externalId": "contract_gdpr_es",
"fields": [
{
"key": "NAME",
"type": "FILLABLE"
}
],
"tags": [
"DRAFT"
],
"creationDate": "2022-08-21T17:32:28Z"
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
totalResults* | integer | Number of total forms to get | ||||||||||||||||||||||||||||||||||||||||||||||||||||
currentPage* | integer | Current page | ||||||||||||||||||||||||||||||||||||||||||||||||||||
forms* | object[] | |||||||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||||||||||||
Bad Request Request input is not valid
Unauthorized Unauthorized. AuthN and AuthZ validations have fail
Not Found resource not found
resource is not longer available
Internal Server Error Not expected error
Error response
{
"errors": [
{
"code": "MDOC-XXX",
"title": "ERROR_TYPE",
"ref": "https://developers.masstack.com/en/docs/apis_documents_doc_swagger/1/schemas/#schemaerror",
"details": "Detailed description of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://documents.masstack.com/v1/orgs/masmovil/templates/forms?page=0&pageSize=1' \
-H 'Accept: application/json' Upload a form from a file name and its content. The form unique identifier and its name are returned.The map of the fillable fields will be extracted.
PATH PARAMETERS
The string id related with one of Grupo MasOrange tenants
File name, content and metadata for creating the form.
{
"name": "new_form",
"extension": "pdf"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
name* | string | Name of the form (without spaces). The form is renamed with this value (will be normalized on form external Id). | ||
extension* | string | Format of the form to be stored. It must match the format of the binary Allowed values: pdf | ||
tags | string[] | Five free values (user-defined) to tag form. These values are normalized following the next rules: - All tags will be converted to uppercase - All whitespaces will be removed - Empty or blank tags are not allowed - Tags matching reserved words (null, undefined or nan) are not allowed | maxItems: 5, uniqueItems | |
content* | string (binary) | Document content in binary format |
Created New form is created. Expected response for a valid request.
{
"id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"externalId": "contract_gdpr_es",
"fields": [
{
"key": "NAME",
"type": "FILLABLE"
}
],
"tags": [
"DRAFT"
],
"creationDate": "2022-08-21T17:32:28Z"
} | Property | Type | Description | Constraints | Default | |||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
id* | string (uuid) | form unique identifier | |||||||||||||||||
externalId* | string | form name normalized | |||||||||||||||||
fields* | object[] | list all fields types | uniqueItems | ||||||||||||||||
Array items:
| |||||||||||||||||||
tags | string[] | Five free values (user-defined) to tag form. These values are normalized following the next rules: - All tags will be converted to uppercase - All whitespaces will be removed - Empty or blank tags are not allowed - Tags matching reserved words (null, undefined or nan) are not allowed | maxItems: 5, uniqueItems | ||||||||||||||||
creationDate* | string (date-time) | date of creation of the form | |||||||||||||||||
Bad Request Request input is not valid
Unauthorized Unauthorized. AuthN and AuthZ validations have fail
Conflict Conflict. Resource already exist
Unprocessable Entity Request input can not be processed (is incomplete)
Internal Server Error Not expected error
Error response
{
"errors": [
{
"code": "MDOC-XXX",
"title": "ERROR_TYPE",
"ref": "https://developers.masstack.com/en/docs/apis_documents_doc_swagger/1/schemas/#schemaerror",
"details": "Detailed description of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X POST 'https://documents.masstack.com/v1/orgs/masmovil/templates/forms' \
-H 'Accept: application/json' \
-F 'name=customer_contract' \
-F 'extension=pdf' \
-F 'tags=DRAFT' \
-F 'content=@/path/to/file;type=application/pdf, application/octet-stream' Returns the filled form as PDF file, if form exists; else, returns an error message.
PATH PARAMETERS
The string id related with one of Grupo MasOrange tenants
The external id or id of the form
values to fill a form
{
"fieldsValues": [
{
"name": "string",
"value": "string"
}
],
"fillMode": "default"
} | Property | Type | Description | Constraints | Default | |||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
fieldsValues* | object[] | form variables whose values will be printed in the filled form | |||||||||||||||||
Array items:
| |||||||||||||||||||
fillMode | string | Allowed values: 'default', 'raw' Describes character's filter process to execute when fill a form/template: - 'default' (also when no value or unrecognized value): all non alfa-numeric characters are escaped and replaced by '?' - 'raw': like 'default' but 'tabulation' and 'end of line' characters are allowed | |||||||||||||||||
OK The filled form as pdf document. Expected response to a valid request.
"pdf document" Bad Request Request input is not valid
Unauthorized Unauthorized. AuthN and AuthZ validations have fail
Not Found resource not found
resource is not longer available
Internal Server Error Not expected error
Error response
{
"errors": [
{
"code": "MDOC-XXX",
"title": "ERROR_TYPE",
"ref": "https://developers.masstack.com/en/docs/apis_documents_doc_swagger/1/schemas/#schemaerror",
"details": "Detailed description of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Content-Typestringdefines response binary media type
Content-Dispositionstringcontains downloaded filled form
curl -X POST 'https://documents.masstack.com/v1/orgs/masmovil/templates/forms/d290f1ee-6c54-4b01-90e6-d701748f0851,form_name/fill' \
-H 'Content-Type: application/json' \
-H 'Accept: application/octet-stream' \
--data-raw '{
"fieldsValues": [
{
"name": "string",
"value": "string"
}
],
"fillMode": "default"
}' Get uploaded form metadata by form id. This endpoint returns the same response as create form endpoint.
PATH PARAMETERS
The string id related with one of Grupo MasOrange tenants
The string 'id' or 'external id' of the desired form
OK The form metadata is returned. Expected response for a valid request.
{
"id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"externalId": "contract_gdpr_es",
"fields": [
{
"key": "NAME",
"type": "FILLABLE"
}
],
"tags": [
"DRAFT"
],
"creationDate": "2022-08-21T17:32:28Z"
} | Property | Type | Description | Constraints | Default | |||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
id* | string (uuid) | form unique identifier | |||||||||||||||||
externalId* | string | form name normalized | |||||||||||||||||
fields* | object[] | list all fields types | uniqueItems | ||||||||||||||||
Array items:
| |||||||||||||||||||
tags | string[] | Five free values (user-defined) to tag form. These values are normalized following the next rules: - All tags will be converted to uppercase - All whitespaces will be removed - Empty or blank tags are not allowed - Tags matching reserved words (null, undefined or nan) are not allowed | maxItems: 5, uniqueItems | ||||||||||||||||
creationDate* | string (date-time) | date of creation of the form | |||||||||||||||||
Bad Request Request input is not valid
Unauthorized Unauthorized. AuthN and AuthZ validations have fail
Not Found resource not found
resource is not longer available
Internal Server Error Not expected error
Error response
{
"errors": [
{
"code": "MDOC-XXX",
"title": "ERROR_TYPE",
"ref": "https://developers.masstack.com/en/docs/apis_documents_doc_swagger/1/schemas/#schemaerror",
"details": "Detailed description of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://documents.masstack.com/v1/orgs/masmovil/templates/forms/d290f1ee-6c54-4b01-90e6-d701748f0851,form_name/metadata' \
-H 'Accept: application/json' Download form
PATH PARAMETERS
The string id related with one of Grupo MasOrange tenants
The string 'id' or 'external id' of the desired form
OK The form binary content. Expected response to a valid request.
"binary file" Bad Request Request input is not valid
Unauthorized Unauthorized. AuthN and AuthZ validations have fail
Not Found resource not found
resource is not longer available
Internal Server Error Not expected error
Error response
{
"errors": [
{
"code": "MDOC-XXX",
"title": "ERROR_TYPE",
"ref": "https://developers.masstack.com/en/docs/apis_documents_doc_swagger/1/schemas/#schemaerror",
"details": "Detailed description of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Content-Typestringdefines response binary media type
Content-Dispositionstringcontains downloaded form name
curl -X GET 'https://documents.masstack.com/v1/orgs/masmovil/templates/forms/d290f1ee-6c54-4b01-90e6-d701748f0851,form_name' \
-H 'Accept: application/octet-stream' Delete form
PATH PARAMETERS
The string id related with one of Grupo MasOrange tenants
The string 'id' or 'external id' of the desired form
No Content Action executed correctly
Bad Request Request input is not valid
Unauthorized Unauthorized. AuthN and AuthZ validations have fail
Not Found resource not found
Conflict conflict if form is in some section
resource is not longer available
Internal Server Error Not expected error
Error response
{
"errors": [
{
"code": "MDOC-XXX",
"title": "ERROR_TYPE",
"ref": "https://developers.masstack.com/en/docs/apis_documents_doc_swagger/1/schemas/#schemaerror",
"details": "Detailed description of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X DELETE 'https://documents.masstack.com/v1/orgs/masmovil/templates/forms/d290f1ee-6c54-4b01-90e6-d701748f0851,form_name' \
-H 'Accept: application/json' Get all stored sections info (by tenant) sorted by creation date in descending order. Results can be paginated by page and pageSize. If any values of page or pageSize are be provided, response will be all sections in one page (no pagination).
PATH PARAMETERS
The string id related with one of Grupo MasOrange tenants
QUERY PARAMETERS
Defines sections page number to be show. If not defined, default value is 0 (first page).
Defines the number of sections returned in each page. If not defined, default value is 50.
OK The sections metadata is returned. Expected response for a valid request.
{
"totalResults": "100",
"currentPage": 0,
"sections": [
{
"externalId": "anexo_gdpr",
"forms": [
{
"language": "ES",
"formExternalId": "contract_gdpr_en"
}
],
"fields": [
{
"key": "NAME",
"type": "FILLABLE"
}
],
"creationDate": "2022-08-21T17:32:28Z"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
totalResults* | integer | Number of total sections to get | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
currentPage* | integer | Current page | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
sections* | object[] | List of sections metadata | uniqueItems | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Bad Request Request input is not valid
Unauthorized Unauthorized. AuthN and AuthZ validations have fail
Not Found resource not found
resource is not longer available
Internal Server Error Not expected error
Error response
{
"errors": [
{
"code": "MDOC-XXX",
"title": "ERROR_TYPE",
"ref": "https://developers.masstack.com/en/docs/apis_documents_doc_swagger/1/schemas/#schemaerror",
"details": "Detailed description of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://documents.masstack.com/v1/orgs/masmovil/templates/sections?page=0&pageSize=1' \
-H 'Accept: application/json' Create a new section of forms
PATH PARAMETERS
The string id related with one of Grupo MasOrange tenants
metadata for creating a language section
{
"sectionName": "contract_gdpr",
"forms": [
{
"language": "ES",
"formExternalId": "contract_gdpr_en"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
sectionName* | string | name of section of forms (will be normalized on section external Id) | |||||||||||||||||
forms* | object[] | defines which form is defined to each language | minItems: 1 | ||||||||||||||||
Array items:
| |||||||||||||||||||
Created New section is created. Expected response for a valid request.
{
"externalId": "anexo_gdpr",
"forms": [
{
"language": "ES",
"formExternalId": "contract_gdpr_en"
}
],
"fields": [
{
"key": "NAME",
"type": "FILLABLE"
}
],
"creationDate": "2022-08-21T17:32:28Z"
} | Property | Type | Description | Constraints | Default | |||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
externalId* | string | normalized name of section (external id) | |||||||||||||||||
forms* | object[] | defines which form is defined to each language | minItems: 1 | ||||||||||||||||
Array items:
| |||||||||||||||||||
fields* | object[] | list all fields types | uniqueItems | ||||||||||||||||
Array items:
| |||||||||||||||||||
creationDate* | string (date-time) | ||||||||||||||||||
No Content Section created successfully.
Bad Request Request input is not valid
Unauthorized Unauthorized. AuthN and AuthZ validations have fail
Not Found resource not found
Conflict Conflict. Resource already exist
Internal Server Error Not expected error
Error response
{
"errors": [
{
"code": "MDOC-XXX",
"title": "ERROR_TYPE",
"ref": "https://developers.masstack.com/en/docs/apis_documents_doc_swagger/1/schemas/#schemaerror",
"details": "Detailed description of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X POST 'https://documents.masstack.com/v1/orgs/masmovil/templates/sections' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"sectionName": "contract_gdpr",
"forms": [
{
"language": "ES",
"formExternalId": "contract_gdpr_en"
}
]
}' Get section metadata by section external id. This endpoint returns the same response as create section endpoint.
PATH PARAMETERS
The string id related with one of Grupo MasOrange tenants
The external id of the desired section
OK The section metadata is returned. Expected response for a valid request.
{
"externalId": "anexo_gdpr",
"forms": [
{
"language": "ES",
"formExternalId": "contract_gdpr_en"
}
],
"fields": [
{
"key": "NAME",
"type": "FILLABLE"
}
],
"creationDate": "2022-08-21T17:32:28Z"
} | Property | Type | Description | Constraints | Default | |||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
externalId* | string | normalized name of section (external id) | |||||||||||||||||
forms* | object[] | defines which form is defined to each language | minItems: 1 | ||||||||||||||||
Array items:
| |||||||||||||||||||
fields* | object[] | list all fields types | uniqueItems | ||||||||||||||||
Array items:
| |||||||||||||||||||
creationDate* | string (date-time) | ||||||||||||||||||
Bad Request Request input is not valid
Unauthorized Unauthorized. AuthN and AuthZ validations have fail
Not Found resource not found
resource is not longer available
Internal Server Error Not expected error
Error response
{
"errors": [
{
"code": "MDOC-XXX",
"title": "ERROR_TYPE",
"ref": "https://developers.masstack.com/en/docs/apis_documents_doc_swagger/1/schemas/#schemaerror",
"details": "Detailed description of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://documents.masstack.com/v1/orgs/masmovil/templates/sections/anexo_gdpr/metadata' \
-H 'Accept: application/json' Delete section by section external id.
PATH PARAMETERS
The string id related with one of Grupo MasOrange tenants
The external id of the desired section
No Content The section is deleted successfully
Bad Request Request input is not valid
Unauthorized Unauthorized. AuthN and AuthZ validations have fail
Not Found resource not found
Conflict Conflict. Section is in use in some template
resource is not longer available
Internal Server Error Not expected error
Error response
{
"errors": [
{
"code": "MDOC-XXX",
"title": "ERROR_TYPE",
"ref": "https://developers.masstack.com/en/docs/apis_documents_doc_swagger/1/schemas/#schemaerror",
"details": "Detailed description of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X DELETE 'https://documents.masstack.com/v1/orgs/masmovil/templates/sections/anexo_gdpr' \
-H 'Accept: application/json' Get all stored templates info (by tenant) sorted by creation date in descending order. Results can be paginated by page and pageSize. If any values of page or pageSize are be provided, response will be all templates in one page (no pagination).
PATH PARAMETERS
The string id related with one of Grupo MasOrange tenants
QUERY PARAMETERS
Defines templates page number to be show. If not defined, default value is 0 (first page).
Defines the number of templates returned in each page. If not defined, default value is 50.
OK The templates metadata is returned. Expected response for a valid request.
{
"totalResults": "100",
"currentPage": 0,
"templates": [
{
"externalId": "contrato_convergente",
"version": "1.0",
"defaultLanguage": "ES",
"languages": [
"ES",
"EU",
"EN",
"DE",
"GL",
"CA"
],
"orderedSectionNames": [
"introduction",
"personal_data",
"anexo_gdpr"
],
"fields": [
{
"key": "NAME",
"type": "FILLABLE"
}
],
"rules": [
{
"sectionExternalId": "contract_gdpr",
"condition": "GDPR:YES"
}
],
"creationDate": "2022-08-21T17:32:28Z"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
totalResults* | integer | Number of total templates to get | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
currentPage* | integer | Current page | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
templates* | object[] | List of templates metadatas | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Bad Request Request input is not valid
Unauthorized Unauthorized. AuthN and AuthZ validations have fail
Internal Server Error Not expected error
Error response
{
"errors": [
{
"code": "MDOC-XXX",
"title": "ERROR_TYPE",
"ref": "https://developers.masstack.com/en/docs/apis_documents_doc_swagger/1/schemas/#schemaerror",
"details": "Detailed description of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://documents.masstack.com/v1/orgs/masmovil/templates?page=0&pageSize=1' \
-H 'Accept: application/json' Create a new template of sections
PATH PARAMETERS
The string id related with one of Grupo MasOrange tenants
Metadata for creating a template from language sections.
{
"templateName": "contracto_convergente",
"defaultLanguage": "ES",
"orderedSectionNames": [
"introduction",
"personal_data",
"anexo_gdpr"
],
"rules": [
{
"sectionExternalId": "introduction",
"condition": "PREVIEW:ALLOW"
},
{
"sectionExternalId": "anexo_gdpr",
"condition": "GDPR:YES"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
templateName* | string | name of template of sections (will be normalized on template external Id) | |||||||||||||||||
defaultLanguage* | string | Templates languages allowed Allowed values: ES, EN, EU, GL, CA, DE, UNDEFINED | |||||||||||||||||
orderedSectionNames* | string[] | list sections external Ids that belongs to the template IN THE ORDER in which they should be concatenated when filled | minItems: 1 | ||||||||||||||||
rules | object[] | defines conditions rules that have to be matched in fill flags values, to allow this section to be filled | |||||||||||||||||
Array items:
| |||||||||||||||||||
Created New template is created. Expected response for a valid request.
{
"externalId": "contrato_convergente",
"version": "1.0",
"defaultLanguage": "ES",
"languages": [
"ES",
"EU",
"EN",
"DE",
"GL",
"CA"
],
"orderedSectionNames": [
"introduction",
"personal_data",
"anexo_gdpr"
],
"fields": [
{
"key": "NAME",
"type": "FILLABLE"
}
],
"rules": [
{
"sectionExternalId": "contract_gdpr",
"condition": "GDPR:YES"
}
],
"creationDate": "2022-08-21T17:32:28Z"
} | Property | Type | Description | Constraints | Default | |||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
externalId* | string | normalized name of template (external id) | |||||||||||||||||
version* | string | Higher version of the template | |||||||||||||||||
defaultLanguage* | string | Templates languages allowed Allowed values: ES, EN, EU, GL, CA, DE, UNDEFINED | |||||||||||||||||
languages* | string[] | list of available languages for the template | minItems: 1 | ||||||||||||||||
orderedSectionNames* | string[] | list sections external Ids that belongs to the template IN THE ORDER in which they should be concatenated when filled | minItems: 1 | ||||||||||||||||
fields* | object[] | list all fields types | uniqueItems | ||||||||||||||||
Array items:
| |||||||||||||||||||
rules | object[] | defines conditions rules that have to be matched in fill flags values, to allow this section to be filled | |||||||||||||||||
Array items:
| |||||||||||||||||||
creationDate* | string (date-time) | date when template was created | |||||||||||||||||
No Content Template created successfully.
Bad Request Request input is not valid
Unauthorized Unauthorized. AuthN and AuthZ validations have fail
Not Found resource not found
Conflict Conflict. Resource already exist
resource is not longer available
Internal Server Error Not expected error
Error response
{
"errors": [
{
"code": "MDOC-XXX",
"title": "ERROR_TYPE",
"ref": "https://developers.masstack.com/en/docs/apis_documents_doc_swagger/1/schemas/#schemaerror",
"details": "Detailed description of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X POST 'https://documents.masstack.com/v1/orgs/masmovil/templates' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"templateName": "contracto_convergente",
"defaultLanguage": "ES",
"orderedSectionNames": [
"introduction",
"personal_data",
"anexo_gdpr"
],
"rules": [
{
"sectionExternalId": "introduction",
"condition": "PREVIEW:ALLOW"
},
{
"sectionExternalId": "anexo_gdpr",
"condition": "GDPR:YES"
}
]
}' Upgrading a template version creating a new one with it is own use contract
PATH PARAMETERS
The string id related with one of Grupo MasOrange tenants
The external id of the template
Metadata for upgrading a template from language sections
{
"defaultLanguage": "ES",
"orderedSectionNames": [
"introduction",
"personal_data",
"contract_gdpr"
],
"rules": [
{
"sectionId": "introduction",
"condition": "PREVIEW:ALLOW"
},
{
"sectionId": "contract_gdpr",
"condition": "GDPR:YES"
}
],
"changelog": "Added new GDPR descriptive text and formatting changes to the contract."
} | Property | Type | Description | Constraints | Default | |||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
defaultLanguage* | string | Templates languages allowed Allowed values: ES, EN, EU, GL, CA, DE, UNDEFINED | |||||||||||||||||
orderedSectionNames* | string[] | list sections external Ids that belongs to the template IN THE ORDER in which they should be concatenated when filled | minItems: 1 | ||||||||||||||||
rules | object[] | defines conditions rules that have to be matched in fill flags values, to allow this section to be filled | |||||||||||||||||
Array items:
| |||||||||||||||||||
changelog | string | ||||||||||||||||||
Created New version template is created. Expected response for a valid request.
{
"externalId": "contrato_convergente",
"version": "1.0",
"defaultLanguage": "ES",
"languages": [
"ES",
"EU",
"EN",
"DE",
"GL",
"CA"
],
"orderedSectionNames": [
"introduction",
"personal_data",
"anexo_gdpr"
],
"fields": [
{
"key": "NAME",
"type": "FILLABLE"
}
],
"rules": [
{
"sectionExternalId": "contract_gdpr",
"condition": "GDPR:YES"
}
],
"creationDate": "2022-08-21T17:32:28Z"
} | Property | Type | Description | Constraints | Default | |||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
externalId* | string | normalized name of template (external id) | |||||||||||||||||
version* | string | Higher version of the template | |||||||||||||||||
defaultLanguage* | string | Templates languages allowed Allowed values: ES, EN, EU, GL, CA, DE, UNDEFINED | |||||||||||||||||
languages* | string[] | list of available languages for the template | minItems: 1 | ||||||||||||||||
orderedSectionNames* | string[] | list sections external Ids that belongs to the template IN THE ORDER in which they should be concatenated when filled | minItems: 1 | ||||||||||||||||
fields* | object[] | list all fields types | uniqueItems | ||||||||||||||||
Array items:
| |||||||||||||||||||
rules | object[] | defines conditions rules that have to be matched in fill flags values, to allow this section to be filled | |||||||||||||||||
Array items:
| |||||||||||||||||||
creationDate* | string (date-time) | date when template was created | |||||||||||||||||
No Content Template upgraded successfully.
Bad Request Request input is not valid
Unauthorized Unauthorized. AuthN and AuthZ validations have fail
Not Found resource not found
Internal Server Error Not expected error
Error response
{
"errors": [
{
"code": "MDOC-XXX",
"title": "ERROR_TYPE",
"ref": "https://developers.masstack.com/en/docs/apis_documents_doc_swagger/1/schemas/#schemaerror",
"details": "Detailed description of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X POST 'https://documents.masstack.com/v1/orgs/masmovil/templates/contract_sales/versions' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"defaultLanguage": "ES",
"orderedSectionNames": [
"introduction",
"personal_data",
"contract_gdpr"
],
"rules": [
{
"sectionId": "introduction",
"condition": "PREVIEW:ALLOW"
},
{
"sectionId": "contract_gdpr",
"condition": "GDPR:YES"
}
],
"changelog": "Added new GDPR descriptive text and formatting changes to the contract."
}' Update a template version without change use contract
PATH PARAMETERS
The string id related with one of Grupo MasOrange tenants
The external id of the template
version of the template to be updated
Metadata for upgrading a template from language sections
{
"defaultLanguage": "ES",
"orderedSectionNames": [
"introduction",
"personal_data",
"anexo_gdpr"
],
"rules": [
{
"sectionExternalId": "contract_gdpr",
"condition": "GDPR:YES"
}
],
"changelog": "Template change reason description."
} | Property | Type | Description | Constraints | Default | |||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
defaultLanguage | string | Templates languages allowed Allowed values: ES, EN, EU, GL, CA, DE, UNDEFINED | |||||||||||||||||
orderedSectionNames | string[] | list sections external Ids that belongs to the template IN THE ORDER in which they should be concatenated when filled | minItems: 1 | ||||||||||||||||
rules | object[] | defines conditions rules that have to be matched in fill flags values, to allow this section to be filled | |||||||||||||||||
Array items:
| |||||||||||||||||||
changelog | string | ||||||||||||||||||
Created Version template is updated. Expected response for a valid request.
{
"externalId": "contrato_convergente",
"version": "1.0",
"defaultLanguage": "ES",
"languages": [
"ES",
"EU",
"EN",
"DE",
"GL",
"CA"
],
"orderedSectionNames": [
"introduction",
"personal_data",
"anexo_gdpr"
],
"fields": [
{
"key": "NAME",
"type": "FILLABLE"
}
],
"rules": [
{
"sectionExternalId": "contract_gdpr",
"condition": "GDPR:YES"
}
],
"creationDate": "2022-08-21T17:32:28Z"
} | Property | Type | Description | Constraints | Default | |||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
externalId* | string | normalized name of template (external id) | |||||||||||||||||
version* | string | Higher version of the template | |||||||||||||||||
defaultLanguage* | string | Templates languages allowed Allowed values: ES, EN, EU, GL, CA, DE, UNDEFINED | |||||||||||||||||
languages* | string[] | list of available languages for the template | minItems: 1 | ||||||||||||||||
orderedSectionNames* | string[] | list sections external Ids that belongs to the template IN THE ORDER in which they should be concatenated when filled | minItems: 1 | ||||||||||||||||
fields* | object[] | list all fields types | uniqueItems | ||||||||||||||||
Array items:
| |||||||||||||||||||
rules | object[] | defines conditions rules that have to be matched in fill flags values, to allow this section to be filled | |||||||||||||||||
Array items:
| |||||||||||||||||||
creationDate* | string (date-time) | date when template was created | |||||||||||||||||
No Content Template updated successfully.
Bad Request Request input is not valid
Unauthorized Unauthorized. AuthN and AuthZ validations have fail
Not Found resource not found
Conflict Conflict. Resource already exist
Internal Server Error Not expected error
Error response
{
"errors": [
{
"code": "MDOC-XXX",
"title": "ERROR_TYPE",
"ref": "https://developers.masstack.com/en/docs/apis_documents_doc_swagger/1/schemas/#schemaerror",
"details": "Detailed description of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X PATCH 'https://documents.masstack.com/v1/orgs/masmovil/templates/convergente_particulares/versions/1' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"defaultLanguage": "ES",
"orderedSectionNames": [
"introduction",
"personal_data",
"anexo_gdpr"
],
"rules": [
{
"sectionExternalId": "contract_gdpr",
"condition": "GDPR:YES"
}
],
"changelog": "Template change reason description."
}' Delete the latest major version of a template
PATH PARAMETERS
The string id related with one of Grupo MasOrange tenants
The external id of the template
version of the template to be updated
No Content Template deleted successfully.
Bad Request Request input is not valid
Unauthorized Unauthorized. AuthN and AuthZ validations have fail
Not Found resource not found
Conflict Conflict. Major version can not be deleted, it is not latest
Internal Server Error Not expected error
Error response
{
"errors": [
{
"code": "MDOC-XXX",
"title": "ERROR_TYPE",
"ref": "https://developers.masstack.com/en/docs/apis_documents_doc_swagger/1/schemas/#schemaerror",
"details": "Detailed description of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X DELETE 'https://documents.masstack.com/v1/orgs/masmovil/templates/convergente_particulares/versions/1' \
-H 'Accept: application/json' Delete the latest minor version of a template
PATH PARAMETERS
The string id related with one of Grupo MasOrange tenants
The external id of the template
version of the template to be updated
No Content Template deleted successfully.
Bad Request Request input is not valid
Unauthorized Unauthorized. AuthN and AuthZ validations have fail
Not Found resource not found
Conflict Conflict. Minor version can not be deleted
Internal Server Error Not expected error
Error response
{
"errors": [
{
"code": "MDOC-XXX",
"title": "ERROR_TYPE",
"ref": "https://developers.masstack.com/en/docs/apis_documents_doc_swagger/1/schemas/#schemaerror",
"details": "Detailed description of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X DELETE 'https://documents.masstack.com/v1/orgs/masmovil/templates/convergente_particulares/versions/1/minor' \
-H 'Accept: application/json' Returns the filled template as PDF file, if template exists; else, returns an error message.
PATH PARAMETERS
The string id related with one of Grupo MasOrange tenants
The external id of the template
version of the template to be updated
Metadata to fill a template
{
"language": "ES",
"flagsConditions": [
"GDPR:YES",
"PREVIEW:ALLOW"
],
"fieldsValues": [
{
"name": "string",
"value": "string"
}
],
"fillMode": "default"
} | Property | Type | Description | Constraints | Default | |||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
language* | string | Templates languages allowed Allowed values: ES, EN, EU, GL, CA, DE, UNDEFINED | |||||||||||||||||
flagsConditions | string[] | list of conditions which trigger specific sections of the template to be filled | minItems: 0 | ||||||||||||||||
fieldsValues* | object[] | form variables whose values will be printed in the filled form | |||||||||||||||||
Array items:
| |||||||||||||||||||
fillMode | string | Allowed values: 'default', 'raw' Describes character's filter process to execute when fill a form/template: - 'default' (also when no value or unrecognized value): all non alfa-numeric characters are escaped and replaced by '?' - 'raw': like 'default' but 'tabulation' and 'end of line' characters are allowed | |||||||||||||||||
OK The filled template as pdf document. Expected response to a valid request.
"pdf document" Bad Request Request input is not valid
Unauthorized Unauthorized. AuthN and AuthZ validations have fail
Not Found resource not found
resource is not longer available
Internal Server Error Not expected error
Error response
{
"errors": [
{
"code": "MDOC-XXX",
"title": "ERROR_TYPE",
"ref": "https://developers.masstack.com/en/docs/apis_documents_doc_swagger/1/schemas/#schemaerror",
"details": "Detailed description of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Content-Typestringdefines response binary media type
Content-Dispositionstringcontains downloaded filled template
X-Tenant-Config-Versionstringtenant config version used to fill
X-Template-Versionstringtemplate version used to fill
curl -X POST 'https://documents.masstack.com/v1/orgs/masmovil/templates/contract_sales/versions/1/fill' \
-H 'Content-Type: application/json' \
-H 'Accept: application/octet-stream' \
--data-raw '{
"language": "ES",
"flagsConditions": [
"GDPR:YES",
"PREVIEW:ALLOW"
],
"fieldsValues": [
{
"name": "string",
"value": "string"
}
],
"fillMode": "default"
}' Fill a template and return documentId (storage reference)
PATH PARAMETERS
The string id related with one of Grupo MasOrange tenants
The external id of the template
version of the template to be updated
HEADER PARAMETERS
The string id related with the document owner. It is mandatory when document is not public
Metadata to fill a template
{
"language": "ES",
"flagsConditions": [
"GDPR:YES",
"PREVIEW:ALLOW"
],
"fieldsValues": [
{
"name": "string",
"value": "string"
}
],
"name": "personal_contract",
"tags": [
"DRAFT"
],
"fillMode": "default",
"flatten": true
} | Property | Type | Description | Constraints | Default | |||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
language* | string | Templates languages allowed Allowed values: ES, EN, EU, GL, CA, DE, UNDEFINED | |||||||||||||||||
flagsConditions | string[] | list of conditions which trigger specific sections of the template to be filled | minItems: 0 | ||||||||||||||||
fieldsValues* | object[] | form variables whose values will be printed in the filled form | |||||||||||||||||
Array items:
| |||||||||||||||||||
name | string | Name of the document (without spaces). The document is renamed with this value. | |||||||||||||||||
tags | string[] | Five free values (user-defined) to tag form. These values are normalized following the next rules: - All tags will be converted to uppercase - All whitespaces will be removed - Empty or blank tags are not allowed - Tags matching reserved words (null, undefined or nan) are not allowed | maxItems: 5, uniqueItems | ||||||||||||||||
fillMode | string | Allowed values: 'default', 'raw' Describes character's filter process to execute when fill a form/template: - 'default' (also when no value or unrecognized value): all non alfa-numeric characters are escaped and replaced by '?' - 'raw': like 'default' but 'tabulation' and 'end of line' characters are allowed | |||||||||||||||||
flatten | boolean | Describes if the filled template will be flattened or not. | true | ||||||||||||||||
OK The filled template as pdf document. Expected response to a valid request.
{
"documentId": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"renamedKeys": [
{
"currentName": "SUBSCRIPTION_ID_212",
"originalName": "SUBSCRIPTION_ID"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
documentId* | string (uuid) | Document unique identifier | |||||||||||||||||
renamedKeys* | object[] | List of template keys which name has changed from original template | minItems: 0 | ||||||||||||||||
Array items:
| |||||||||||||||||||
Bad Request Request input is not valid
Unauthorized Unauthorized. AuthN and AuthZ validations have fail
Not Found resource not found
resource is not longer available
Internal Server Error Not expected error
Error response
{
"errors": [
{
"code": "MDOC-XXX",
"title": "ERROR_TYPE",
"ref": "https://developers.masstack.com/en/docs/apis_documents_doc_swagger/1/schemas/#schemaerror",
"details": "Detailed description of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
X-Tenant-Config-Versionstringtenant config version used to fill
X-Template-Versionstringtemplate version used to fill
curl -X POST 'https://documents.masstack.com/v1/orgs/masmovil/templates/contract_sales/versions/1/fill/documents' \
-H 'x-auth-owner: 2357893' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"language": "ES",
"flagsConditions": [
"GDPR:YES",
"PREVIEW:ALLOW"
],
"fieldsValues": [
{
"name": "string",
"value": "string"
}
],
"name": "personal_contract",
"tags": [
"DRAFT"
],
"fillMode": "default",
"flatten": true
}' Get template metadata by template external id. This endpoint returns the same response as create template endpoint.
PATH PARAMETERS
The string id related with one of Grupo MasOrange tenants
The external id of the desired template
version of the template
QUERY PARAMETERS
Define extra options to include in response. Values: * 'history': return all versions (previous minor versions) of a major template version
OK The template metadata is returned. Expected response for a valid request.
{
"templates": [
{
"externalId": "contrato_convergente",
"version": "1.0",
"defaultLanguage": "ES",
"languages": [
"ES",
"EU",
"EN",
"DE",
"GL",
"CA"
],
"orderedSectionNames": [
"introduction",
"personal_data",
"anexo_gdpr"
],
"fields": [
{
"key": "NAME",
"type": "FILLABLE"
}
],
"rules": [
{
"sectionExternalId": "contract_gdpr",
"condition": "GDPR:YES"
}
],
"creationDate": "2022-08-21T17:32:28Z"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
templates | object[] | List of templates metadatas | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Bad Request Request input is not valid
Unauthorized Unauthorized. AuthN and AuthZ validations have fail
Not Found resource not found
resource is not longer available
Internal Server Error Not expected error
Error response
{
"errors": [
{
"code": "MDOC-XXX",
"title": "ERROR_TYPE",
"ref": "https://developers.masstack.com/en/docs/apis_documents_doc_swagger/1/schemas/#schemaerror",
"details": "Detailed description of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://documents.masstack.com/v1/orgs/masmovil/templates/ifcc_template/versions/1/metadata?include=include%3Dhistory' \
-H 'Accept: application/json' Get template change log history by template's external id.
PATH PARAMETERS
The string id related with one of Grupo MasOrange tenants
The external id of the desired template
OK The template changelog history is returned. Expected response for a valid request.
{
"changelogHistory": [
{
"fromVersion": "1.0",
"toVersion": "1.1",
"onDate": "2022-08-21T17:32:28Z",
"changelog": "Added new GDPR descriptive text and formatting changes to the contract."
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
changelogHistory* | object[] | list of all template's version changes with its changelog and date | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Bad Request Request input is not valid
Unauthorized Unauthorized. AuthN and AuthZ validations have fail
Not Found resource not found
resource is not longer available
Internal Server Error Not expected error
Error response
{
"errors": [
{
"code": "MDOC-XXX",
"title": "ERROR_TYPE",
"ref": "https://developers.masstack.com/en/docs/apis_documents_doc_swagger/1/schemas/#schemaerror",
"details": "Detailed description of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://documents.masstack.com/v1/orgs/masmovil/templates/ifcc_template/changelog' \
-H 'Accept: application/json' Get all configuration documents
PATH PARAMETERS
The string id related with one of Grupo MasOrange tenants
OK Tenant all templates configurations
{
"totalResults": "100",
"currentPage": 0,
"items": [
{
"id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"name": "new_logo_mm",
"extension": "png",
"creationDate": "2022-08-21T17:32:28Z"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
totalResults* | integer | Number of total forms to get | |||||||||||||||||||||||||||
currentPage* | integer | Current page | |||||||||||||||||||||||||||
items* | object[] | List of configuration documents | uniqueItems | ||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Bad Request Request input is not valid
Unauthorized Unauthorized. AuthN and AuthZ validations have fail
Unprocessable Entity Request input can not be processed (is incomplete)
Internal Server Error Not expected error
Error response
{
"errors": [
{
"code": "MDOC-XXX",
"title": "ERROR_TYPE",
"ref": "https://developers.masstack.com/en/docs/apis_documents_doc_swagger/1/schemas/#schemaerror",
"details": "Detailed description of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://documents.masstack.com/v1/orgs/masmovil/templates/configurations/documents' \
-H 'Accept: application/json' Upload a new document to be used in templates
PATH PARAMETERS
The string id related with one of Grupo MasOrange tenants
QUERY PARAMETERS
Defines templates configuration page number to be show. If not defined, default value is 0 (first page).
Defines the number of items returned in each page. If not defined, default value is 50.
Filter by document name
Filter by document extension
Define configuration fields with value by language
{
"name": "new_logo",
"extension": "jpg"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
name* | string | Name of the document (without spaces). | ||
extension* | string | Format of the document to be stored. It must match the format of the binary Allowed values: jpeg, jpg, png | ||
content* | string (binary) | Document content in binary format |
OK Configuration is created. Expected response for a valid request.
{
"id": "d290f1ee-6c54-4b01-90e6-d701748f0851"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
id* | string (uuid) | Templates document unique identifier |
Bad Request Request input is not valid
Unauthorized Unauthorized. AuthN and AuthZ validations have fail
Unprocessable Entity Request input can not be processed (is incomplete)
Internal Server Error Not expected error
Error response
{
"errors": [
{
"code": "MDOC-XXX",
"title": "ERROR_TYPE",
"ref": "https://developers.masstack.com/en/docs/apis_documents_doc_swagger/1/schemas/#schemaerror",
"details": "Detailed description of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X POST 'https://documents.masstack.com/v1/orgs/masmovil/templates/configurations/documents?page=0&pageSize=1&name=my_logo&extension=png' \
-H 'Accept: application/json' \
-F 'name=masorange_logo' \
-F 'extension=pdf' \
-F 'content=@/path/to/file;type=image/png, image/jpeg' Get all tenant templates configurations
PATH PARAMETERS
The string id related with one of Grupo MasOrange tenants
QUERY PARAMETERS
Defines templates configuration page number to be show. If not defined, default value is 0 (first page).
Defines the number of items returned in each page. If not defined, default value is 50.
OK Tenant all templates configurations
{
"totalResults": "100",
"currentPage": 0,
"configurations": [
{
"version": 1,
"changelog": "TEXT",
"creationDate": "2022-08-21T17:32:28Z"
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
totalResults* | integer | Number of total forms to get | ||||||||||||||||||||||
currentPage* | integer | Current page | ||||||||||||||||||||||
configurations* | object[] | List of forms metadata | uniqueItems | |||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||
Bad Request Request input is not valid
Unauthorized Unauthorized. AuthN and AuthZ validations have fail
Unprocessable Entity Request input can not be processed (is incomplete)
Internal Server Error Not expected error
Error response
{
"errors": [
{
"code": "MDOC-XXX",
"title": "ERROR_TYPE",
"ref": "https://developers.masstack.com/en/docs/apis_documents_doc_swagger/1/schemas/#schemaerror",
"details": "Detailed description of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://documents.masstack.com/v1/orgs/masmovil/templates/configurations?page=0&pageSize=1' \
-H 'Accept: application/json' Create or update a tenant templates configuration
PATH PARAMETERS
The string id related with one of Grupo MasOrange tenants
Define configuration fields with value by language
{
"changelog": "TEXT",
"defaultLanguage": "ES",
"fieldValues": [
{
"name": "CONFIG_TENANT.SOCIAL_REASON",
"type": "TEXT",
"value": [
{
"language": "ES",
"content": "Avenida de Bruselas 38, Alcobendas, Madrid"
}
]
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
changelog | string | Description of the template change in this version | ||||||||||||||||||||||||||||||||||||||||||
defaultLanguage* | string | Templates languages allowed Allowed values: ES, EN, EU, GL, CA, DE, UNDEFINED | ||||||||||||||||||||||||||||||||||||||||||
fieldValues* | object[] | Configuration fields with default values by language | minItems: 1, uniqueItems | |||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||
OK Configuration is created. Expected response for a valid request.
{
"version": 1
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
version* | integer | Defines template configuration version (initial version is '1') |
Bad Request Request input is not valid
Unauthorized Unauthorized. AuthN and AuthZ validations have fail
Unprocessable Entity Request input can not be processed (is incomplete)
Internal Server Error Not expected error
Error response
{
"errors": [
{
"code": "MDOC-XXX",
"title": "ERROR_TYPE",
"ref": "https://developers.masstack.com/en/docs/apis_documents_doc_swagger/1/schemas/#schemaerror",
"details": "Detailed description of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X POST 'https://documents.masstack.com/v1/orgs/masmovil/templates/configurations' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"changelog": "TEXT",
"defaultLanguage": "ES",
"fieldValues": [
{
"name": "CONFIG_TENANT.SOCIAL_REASON",
"type": "TEXT",
"value": [
{
"language": "ES",
"content": "Avenida de Bruselas 38, Alcobendas, Madrid"
}
]
}
]
}' Get tenant templates configuration
PATH PARAMETERS
The string id related with one of Grupo MasOrange tenants
Higher version of the template. You can use also 'latest' to get latest version
OK Tenant templates configuration
{
"defaultLanguage": "ES",
"fieldValues": [
{
"name": "CONFIG_TENANT.SOCIAL_REASON",
"type": "TEXT",
"value": [
{
"language": "ES",
"content": "Avenida de Bruselas 38, Alcobendas, Madrid"
}
]
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
defaultLanguage* | string | Templates languages allowed Allowed values: ES, EN, EU, GL, CA, DE, UNDEFINED | ||||||||||||||||||||||||||||||||||||||||||
fieldValues* | object[] | Configuration fields with default values by language | minItems: 1, uniqueItems | |||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||
Bad Request Request input is not valid
Unauthorized Unauthorized. AuthN and AuthZ validations have fail
Not Found resource not found
Unprocessable Entity Request input can not be processed (is incomplete)
Internal Server Error Not expected error
Error response
{
"errors": [
{
"code": "MDOC-XXX",
"title": "ERROR_TYPE",
"ref": "https://developers.masstack.com/en/docs/apis_documents_doc_swagger/1/schemas/#schemaerror",
"details": "Detailed description of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://documents.masstack.com/v1/orgs/masmovil/templates/configurations/1' \
-H 'Accept: application/json' Delete template configuration by version
PATH PARAMETERS
The string id related with one of Grupo MasOrange tenants
Version of the template configuration.
No Content Action executed correctly
Bad Request Request input is not valid
Unauthorized Unauthorized. AuthN and AuthZ validations have fail
Not Found resource not found
Conflict conflict if form is in some section
Unprocessable Entity Request input can not be processed (is incomplete)
Internal Server Error Not expected error
Error response
{
"errors": [
{
"code": "MDOC-XXX",
"title": "ERROR_TYPE",
"ref": "https://developers.masstack.com/en/docs/apis_documents_doc_swagger/1/schemas/#schemaerror",
"details": "Detailed description of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X DELETE 'https://documents.masstack.com/v1/orgs/masmovil/templates/configurations/1' \
-H 'Accept: application/json' Returns a paginated list of all dynamic templates for an organization. Only the latest version of each major version (the ones that could be edited) is included, ordered by creation_date in descending order.
PATH PARAMETERS
The string id related with one of Grupo MasOrange tenants
QUERY PARAMETERS
Optional filter to retrieve templates for a specific external_id
Defines templates page number to be show. If not defined, default value is 0 (first page).
Defines the number of templates returned in each page. If not defined, default value is 50.
OK The templates list is returned. Expected response for a valid request.
{
"page": 0,
"page_size": 20,
"templates": [
{
"external_id": "factura_bilingue_premium",
"description": "Plantilla para facturas en Español e Inglés.",
"version": "2.7",
"default_language": "ES",
"languages": [
"ES"
],
"creation_date": "2025-09-22T10:00:00Z"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
page* | integer | Page to be shown | min: 0 | 0 | |||||||||||||||||||||||||||||||||||
page_size* | integer | Number of templates that will be shown by page | min: 1 | 50 | |||||||||||||||||||||||||||||||||||
templates* | object[] | ||||||||||||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||||||||||||
Bad Request Request input is not valid
Unauthorized Unauthorized. AuthN and AuthZ validations have failed
Internal Server Error Not expected error
Error response
{
"errors": [
{
"code": "MDOC-XXX",
"title": "ERROR_TYPE",
"ref": "https://developers.masstack.com/en/docs/apis_documents_doc_swagger/1/schemas/#schemaerror",
"details": "Detailed description of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://documents.masstack.com/v1/orgs/masmovil/dynamic_templates?external_id=factura_mensual&page=0&page_size=20' \
-H 'Accept: application/json' Creates a new dynamic template by uploading HBS and JSON configuration files for multiple languages. The structure (JSON schema) is provided as part of each source metadata, extracted from the template editor. The system validates the structure and persists the template with version 1.0.
PATH PARAMETERS
The string id related with one of Grupo MasOrange tenants
Template metadata and sources (HBS and JSON files) for each language. Each source includes the pre-extracted structure with fields, rules, and engine version.
{
"metadata": {
"external_id": "factura_bilingue_premium",
"description": "Plantilla para facturas en Español e Inglés.",
"default_language": "ES",
"tags": [
"factura",
"multi-idioma"
],
"sources": [
{
"language": "ES",
"template_part_name": "string",
"editor_config_part_name": "string",
"structure": {
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"CUSTOMER": {
"type": "object",
"properties": {
"DNI": {
"type": "string"
},
"NAME": {
"type": "string"
},
"EMAIL": {
"type": "string",
"format": "email"
},
"ADDRESS": {
"type": "object",
"properties": {
"CITY": {
"type": "string"
},
"COORDINATES": {
"type": "object",
"properties": {
"LATITUDE": {
"type": "number"
},
"LONGITUDE": {
"type": "number"
}
}
}
}
}
},
"required": [
"dni",
"name"
]
},
"CONTRACT_DATE": {
"type": "string",
"format": "date-time"
},
"TAGS": {
"type": "array",
"items": {
"type": "string"
}
},
"PRODUCTS": {
"type": "array",
"items": {
"type": "object",
"properties": {
"NAME": {
"type": "string"
},
"PRICE": {
"type": "number"
},
"QUANTITY": {
"type": "integer"
}
},
"required": [
"NAME",
"PRICE"
]
}
},
"TOTAL_AMOUNT": {
"type": "number"
},
"HAS_DISCOUNT": {
"type": "boolean"
},
"DISCOUNT_AMOUNT": {
"type": "number"
},
"PAYMENT_METHOD": {
"type": "string",
"enum": [
"bank_transfer",
"card",
"mobile_payment"
]
},
"IBAN": {
"type": "string"
},
"CARD_LAST_DIGITS": {
"type": "string"
},
"MOBILE_PAYMENT_TYPE": {
"type": "string"
},
"MOBILE_PHONE": {
"type": "string"
},
"MOBILE_WALLET_ID": {
"type": "string"
}
},
"required": [
"CUSTOMER",
"PRODUCTS",
"TOTAL_AMOUNT",
"PAYMENT_METHOD"
],
"additionalProperties": false,
"allOf": [
{
"if": {
"properties": {
"HAS_DISCOUNT": {
"const": true
}
}
},
"then": {
"required": [
"DISCOUNT_AMOUNT"
]
}
},
{
"if": {
"properties": {
"PAYMENT_METHOD": {
"const": "BANK_TRANSFER"
}
}
},
"then": {
"required": [
"IBAN"
]
}
},
{
"if": {
"properties": {
"PAYMENT_METHOD": {
"const": "card"
}
}
},
"then": {
"required": [
"CARD_LAST_DIGITS"
]
}
},
{
"if": {
"properties": {
"PAYMENT_METHOD": {
"const": "mobile_payment"
}
}
},
"then": {
"required": [
"MOBILE_PAYMENT_TYPE"
],
"oneOf": [
{
"properties": {
"MOBILE_PAYMENT_TYPE": {
"const": "bizum"
}
},
"required": [
"MOBILE_PHONE"
]
},
{
"properties": {
"MOBILE_PAYMENT_TYPE": {
"const": "wallet"
}
},
"required": [
"MOBILE_WALLET_ID"
]
}
]
}
}
]
},
"engine_version": "3.12"
}
]
},
"files": [
"string"
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
metadata* | object | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
files | string (binary)[] | Array of template and editor config files for each language | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Created New dynamic template is created. Expected response for a valid request.
{
"external_id": "factura_bilingue_premium",
"description": "Plantilla para facturas en Español e Inglés.",
"version": "1.0",
"default_language": "ES",
"languages": [
"ES",
"EN"
],
"tags": [
"factura",
"multi-idioma"
],
"creation_date": "2025-08-29T08:50:00Z"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
external_id* | string | Unique identifier for the template. Must be lowercase, numbers, and underscores only. | ||
description* | string | Human-readable description of the template | ||
version* | string | Template version | ||
default_language* | string | Language of the template in ISO 639-1 format. Possible values: ES, EN, EU, GL, CA, DE, UNDEFINED Not all values are available to all organizations. | ||
languages* | string[] | Supported languages | ||
tags | string[] | Free values (user-defined) to tag dynamic template. Maximum 5 tags allowed. | minItems: 0, maxItems: 5, uniqueItems | |
creation_date* | string (date-time) | Template creation date |
Bad Request Request input is not valid
Unauthorized Unauthorized. AuthN and AuthZ validations have failed
Conflict Conflict. External ID already exists
Internal Server Error Not expected error
Error response
{
"errors": [
{
"code": "MDOC-XXX",
"title": "ERROR_TYPE",
"ref": "https://developers.masstack.com/en/docs/apis_documents_doc_swagger/1/schemas/#schemaerror",
"details": "Detailed description of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X POST 'https://documents.masstack.com/v1/orgs/masmovil/dynamic_templates' \
-H 'Content-Type: multipart/mixed' \
-H 'Accept: application/json' \
--data-raw '{
"metadata": {
"external_id": "factura_bilingue_premium",
"description": "Plantilla para facturas en Español e Inglés.",
"default_language": "ES",
"tags": [
"factura",
"multi-idioma"
],
"sources": [
{
"language": "ES",
"template_part_name": "string",
"editor_config_part_name": "string",
"structure": {
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"CUSTOMER": {
"type": "object",
"properties": {
"DNI": {
"type": "string"
},
"NAME": {
"type": "string"
},
"EMAIL": {
"type": "string",
"format": "email"
},
"ADDRESS": {
"type": "object",
"properties": {
"CITY": {
"type": "string"
},
"COORDINATES": {
"type": "object",
"properties": {
"LATITUDE": {
"type": "number"
},
"LONGITUDE": {
"type": "number"
}
}
}
}
}
},
"required": [
"dni",
"name"
]
},
"CONTRACT_DATE": {
"type": "string",
"format": "date-time"
},
"TAGS": {
"type": "array",
"items": {
"type": "string"
}
},
"PRODUCTS": {
"type": "array",
"items": {
"type": "object",
"properties": {
"NAME": {
"type": "string"
},
"PRICE": {
"type": "number"
},
"QUANTITY": {
"type": "integer"
}
},
"required": [
"NAME",
"PRICE"
]
}
},
"TOTAL_AMOUNT": {
"type": "number"
},
"HAS_DISCOUNT": {
"type": "boolean"
},
"DISCOUNT_AMOUNT": {
"type": "number"
},
"PAYMENT_METHOD": {
"type": "string",
"enum": [
"bank_transfer",
"card",
"mobile_payment"
]
},
"IBAN": {
"type": "string"
},
"CARD_LAST_DIGITS": {
"type": "string"
},
"MOBILE_PAYMENT_TYPE": {
"type": "string"
},
"MOBILE_PHONE": {
"type": "string"
},
"MOBILE_WALLET_ID": {
"type": "string"
}
},
"required": [
"CUSTOMER",
"PRODUCTS",
"TOTAL_AMOUNT",
"PAYMENT_METHOD"
],
"additionalProperties": false,
"allOf": [
{
"if": {
"properties": {
"HAS_DISCOUNT": {
"const": true
}
}
},
"then": {
"required": [
"DISCOUNT_AMOUNT"
]
}
},
{
"if": {
"properties": {
"PAYMENT_METHOD": {
"const": "BANK_TRANSFER"
}
}
},
"then": {
"required": [
"IBAN"
]
}
},
{
"if": {
"properties": {
"PAYMENT_METHOD": {
"const": "card"
}
}
},
"then": {
"required": [
"CARD_LAST_DIGITS"
]
}
},
{
"if": {
"properties": {
"PAYMENT_METHOD": {
"const": "mobile_payment"
}
}
},
"then": {
"required": [
"MOBILE_PAYMENT_TYPE"
],
"oneOf": [
{
"properties": {
"MOBILE_PAYMENT_TYPE": {
"const": "bizum"
}
},
"required": [
"MOBILE_PHONE"
]
},
{
"properties": {
"MOBILE_PAYMENT_TYPE": {
"const": "wallet"
}
},
"required": [
"MOBILE_WALLET_ID"
]
}
]
}
}
]
},
"engine_version": "3.12"
}
]
},
"files": [
"string"
]
}' Returns all minor versions for a specific major version of a dynamic template, ordered by minor version in descending order (newest to oldest). Includes JSON schema extracted from the template file.
PATH PARAMETERS
The string id related with one of Grupo MasOrange tenants
The external id of the dynamic template
The major version number
OK The template versions are returned. Expected response for a valid request.
{
"templates": [
{
"external_id": "factura_bilingue_premium",
"description": "Plantilla para facturas en Español e Inglés.",
"version": "1.1",
"default_language": "ES",
"languages": [
"ES",
"EN"
],
"tags": [
"factura",
"multi-idioma"
],
"creation_date": "2025-09-22T10:00:00Z",
"structure": {
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"CUSTOMER": {
"type": "object",
"properties": {
"DNI": {
"type": "string"
},
"NAME": {
"type": "string"
},
"EMAIL": {
"type": "string",
"format": "email"
},
"ADDRESS": {
"type": "object",
"properties": {
"CITY": {
"type": "string"
},
"COORDINATES": {
"type": "object",
"properties": {
"LATITUDE": {
"type": "number"
},
"LONGITUDE": {
"type": "number"
}
}
}
}
}
},
"required": [
"dni",
"name"
]
},
"CONTRACT_DATE": {
"type": "string",
"format": "date-time"
},
"TAGS": {
"type": "array",
"items": {
"type": "string"
}
},
"PRODUCTS": {
"type": "array",
"items": {
"type": "object",
"properties": {
"NAME": {
"type": "string"
},
"PRICE": {
"type": "number"
},
"QUANTITY": {
"type": "integer"
}
},
"required": [
"NAME",
"PRICE"
]
}
},
"TOTAL_AMOUNT": {
"type": "number"
},
"HAS_DISCOUNT": {
"type": "boolean"
},
"DISCOUNT_AMOUNT": {
"type": "number"
},
"PAYMENT_METHOD": {
"type": "string",
"enum": [
"bank_transfer",
"card",
"mobile_payment"
]
},
"IBAN": {
"type": "string"
},
"CARD_LAST_DIGITS": {
"type": "string"
},
"MOBILE_PAYMENT_TYPE": {
"type": "string"
},
"MOBILE_PHONE": {
"type": "string"
},
"MOBILE_WALLET_ID": {
"type": "string"
}
},
"required": [
"CUSTOMER",
"PRODUCTS",
"TOTAL_AMOUNT",
"PAYMENT_METHOD"
],
"additionalProperties": false,
"allOf": [
{
"if": {
"properties": {
"HAS_DISCOUNT": {
"const": true
}
}
},
"then": {
"required": [
"DISCOUNT_AMOUNT"
]
}
},
{
"if": {
"properties": {
"PAYMENT_METHOD": {
"const": "BANK_TRANSFER"
}
}
},
"then": {
"required": [
"IBAN"
]
}
},
{
"if": {
"properties": {
"PAYMENT_METHOD": {
"const": "card"
}
}
},
"then": {
"required": [
"CARD_LAST_DIGITS"
]
}
},
{
"if": {
"properties": {
"PAYMENT_METHOD": {
"const": "mobile_payment"
}
}
},
"then": {
"required": [
"MOBILE_PAYMENT_TYPE"
],
"oneOf": [
{
"properties": {
"MOBILE_PAYMENT_TYPE": {
"const": "bizum"
}
},
"required": [
"MOBILE_PHONE"
]
},
{
"properties": {
"MOBILE_PAYMENT_TYPE": {
"const": "wallet"
}
},
"required": [
"MOBILE_WALLET_ID"
]
}
]
}
}
]
},
"sources": [
{
"language": "ES",
"template_url": "https://storage.googleapis.com/.../v1.1_es.html",
"editor_config_url": "https://storage.googleapis.com/.../v1.1_es.json",
"engine_version": "2.0"
}
]
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
templates* | object[] | minItems: 1 | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Bad Request Request input is not valid
Unauthorized Unauthorized. AuthN and AuthZ validations have failed
Not Found Template or version not found
Internal Server Error Not expected error
Error response
{
"errors": [
{
"code": "MDOC-XXX",
"title": "ERROR_TYPE",
"ref": "https://developers.masstack.com/en/docs/apis_documents_doc_swagger/1/schemas/#schemaerror",
"details": "Detailed description of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://documents.masstack.com/v1/orgs/masmovil/dynamic_templates/factura_mensual/versions/1' \
-H 'Accept: application/json' Creates a new minor version of an existing dynamic template with non-breaking changes such as adding new languages or updating existing language content. Breaking changes like modifying the JSON schema structure, removing sources or changing default language will result in a 409 error.
PATH PARAMETERS
The string id related with one of Grupo MasOrange tenants
The external id of the dynamic template
The major version number
Template metadata and sources for creating a minor version
{
"metadata": {
"description": "Plantilla actualizada con soporte para Catalán.",
"sources": [
{
"language": "ES",
"template_part_name": "string",
"editor_config_part_name": "string",
"structure": {
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"CUSTOMER": {
"type": "object",
"properties": {
"DNI": {
"type": "string"
},
"NAME": {
"type": "string"
},
"EMAIL": {
"type": "string",
"format": "email"
},
"ADDRESS": {
"type": "object",
"properties": {
"CITY": {
"type": "string"
},
"COORDINATES": {
"type": "object",
"properties": {
"LATITUDE": {
"type": "number"
},
"LONGITUDE": {
"type": "number"
}
}
}
}
}
},
"required": [
"dni",
"name"
]
},
"CONTRACT_DATE": {
"type": "string",
"format": "date-time"
},
"TAGS": {
"type": "array",
"items": {
"type": "string"
}
},
"PRODUCTS": {
"type": "array",
"items": {
"type": "object",
"properties": {
"NAME": {
"type": "string"
},
"PRICE": {
"type": "number"
},
"QUANTITY": {
"type": "integer"
}
},
"required": [
"NAME",
"PRICE"
]
}
},
"TOTAL_AMOUNT": {
"type": "number"
},
"HAS_DISCOUNT": {
"type": "boolean"
},
"DISCOUNT_AMOUNT": {
"type": "number"
},
"PAYMENT_METHOD": {
"type": "string",
"enum": [
"bank_transfer",
"card",
"mobile_payment"
]
},
"IBAN": {
"type": "string"
},
"CARD_LAST_DIGITS": {
"type": "string"
},
"MOBILE_PAYMENT_TYPE": {
"type": "string"
},
"MOBILE_PHONE": {
"type": "string"
},
"MOBILE_WALLET_ID": {
"type": "string"
}
},
"required": [
"CUSTOMER",
"PRODUCTS",
"TOTAL_AMOUNT",
"PAYMENT_METHOD"
],
"additionalProperties": false,
"allOf": [
{
"if": {
"properties": {
"HAS_DISCOUNT": {
"const": true
}
}
},
"then": {
"required": [
"DISCOUNT_AMOUNT"
]
}
},
{
"if": {
"properties": {
"PAYMENT_METHOD": {
"const": "BANK_TRANSFER"
}
}
},
"then": {
"required": [
"IBAN"
]
}
},
{
"if": {
"properties": {
"PAYMENT_METHOD": {
"const": "card"
}
}
},
"then": {
"required": [
"CARD_LAST_DIGITS"
]
}
},
{
"if": {
"properties": {
"PAYMENT_METHOD": {
"const": "mobile_payment"
}
}
},
"then": {
"required": [
"MOBILE_PAYMENT_TYPE"
],
"oneOf": [
{
"properties": {
"MOBILE_PAYMENT_TYPE": {
"const": "bizum"
}
},
"required": [
"MOBILE_PHONE"
]
},
{
"properties": {
"MOBILE_PAYMENT_TYPE": {
"const": "wallet"
}
},
"required": [
"MOBILE_WALLET_ID"
]
}
]
}
}
]
},
"engine_version": "3.12"
}
],
"changelog": "Added Catalan language support"
},
"files": [
"string"
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
metadata* | object | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
files | string (binary)[] | Array of template and editor config files for each language | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
OK New minor version is created. Expected response for a valid request.
{
"external_id": "factura_bilingue_premium",
"description": "Plantilla para facturas en Español e Inglés.",
"version": "1.0",
"default_language": "ES",
"languages": [
"ES",
"EN"
],
"tags": [
"factura",
"multi-idioma"
],
"creation_date": "2025-08-29T08:50:00Z"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
external_id* | string | Unique identifier for the template. Must be lowercase, numbers, and underscores only. | ||
description* | string | Human-readable description of the template | ||
version* | string | Template version | ||
default_language* | string | Language of the template in ISO 639-1 format. Possible values: ES, EN, EU, GL, CA, DE, UNDEFINED Not all values are available to all organizations. | ||
languages* | string[] | Supported languages | ||
tags | string[] | Free values (user-defined) to tag dynamic template. Maximum 5 tags allowed. | minItems: 0, maxItems: 5, uniqueItems | |
creation_date* | string (date-time) | Template creation date |
Bad Request Request input is not valid
Unauthorized Unauthorized. AuthN and AuthZ validations have failed
Not Found Template not found
Conflict Breaking changes detected. Use major version endpoint instead.
Internal Server Error Not expected error
Error response
{
"errors": [
{
"code": "MDOC-XXX",
"title": "ERROR_TYPE",
"ref": "https://developers.masstack.com/en/docs/apis_documents_doc_swagger/1/schemas/#schemaerror",
"details": "Detailed description of the error"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | List of errors | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X PATCH 'https://documents.masstack.com/v1/orgs/masmovil/dynamic_templates/factura_mensual/versions/1' \
-H 'Content-Type: multipart/mixed' \
-H 'Accept: application/json' \
--data-raw '{
"metadata": {
"description": "Plantilla actualizada con soporte para Catalán.",
"sources": [
{
"language": "ES",
"template_part_name": "string",
"editor_config_part_name": "string",
"structure": {
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"CUSTOMER": {
"type": "object",
"properties": {
"DNI": {
"type": "string"
},
"NAME": {
"type": "string"
},
"EMAIL": {
"type": "string",
"format": "email"
},
"ADDRESS": {
"type": "object",
"properties": {
"CITY": {
"type": "string"
},
"COORDINATES": {
"type": "object",
"properties": {
"LATITUDE": {
"type": "number"
},
"LONGITUDE": {
"type": "number"
}
}
}
}
}
},
"required": [
"dni",
"name"
]
},
"CONTRACT_DATE": {
"type": "string",
"format": "date-time"
},
"TAGS": {
"type": "array",
"items": {
"type": "string"
}
},
"PRODUCTS": {
"type": "array",
"items": {
"type": "object",
"properties": {
"NAME": {
"type": "string"
},
"PRICE": {
"type": "number"
},
"QUANTITY": {
"type": "integer"
}
},
"required": [
"NAME",
"PRICE"
]
}
},
"TOTAL_AMOUNT": {
"type": "number"
},
"HAS_DISCOUNT": {
"type": "boolean"
},
"DISCOUNT_AMOUNT": {
"type": "number"
},
"PAYMENT_METHOD": {
"type": "string",
"enum": [
"bank_transfer",
"card",
"mobile_payment"
]
},
"IBAN": {
"type": "string"
},
"CARD_LAST_DIGITS": {
"type": "string"
},
"MOBILE_PAYMENT_TYPE": {
"type": "string"
},
"MOBILE_PHONE": {
"type": "string"
},
"MOBILE_WALLET_ID": {
"type": "string"
}
},
"required": [
"CUSTOMER",
"PRODUCTS",
"TOTAL_AMOUNT",
"PAYMENT_METHOD"
],
"additionalProperties": false,
"allOf": [
{
"if": {
"properties": {
"HAS_DISCOUNT": {
"const": true
}
}
},
"then": {
"required": [
"DISCOUNT_AMOUNT"
]
}
},
{
"if": {
"properties": {
"PAYMENT_METHOD": {
"const": "BANK_TRANSFER"
}
}
},
"then": {
"required": [
"IBAN"
]
}
},
{
"if": {
"properties": {
"PAYMENT_METHOD": {
"const": "card"
}
}
},
"then": {
"required": [
"CARD_LAST_DIGITS"
]
}
},
{
"if": {
"properties": {
"PAYMENT_METHOD": {
"const": "mobile_payment"
}
}
},
"then": {
"required": [
"MOBILE_PAYMENT_TYPE"
],
"oneOf": [
{
"properties": {
"MOBILE_PAYMENT_TYPE": {
"const": "bizum"
}
},
"required": [
"MOBILE_PHONE"
]
},
{
"properties": {
"MOBILE_PAYMENT_TYPE": {
"const": "wallet"
}
},
"required": [
"MOBILE_WALLET_ID"
]
}
]
}
}
]
},
"engine_version": "3.12"
}
],
"changelog": "Added Catalan language support"
},
"files": [
"string"
]
[...]
